LinuxQuestions.org
Visit Jeremy's Blog.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 05-29-2010, 02:28 PM   #1
Manish87
Member
 
Registered: May 2010
Posts: 116

Rep: Reputation: 18
google talk in fedora 12?


Hey,

i just wanted to know on how i could install google talk,yahoo messenger,facebook(multiple messenger) in my fedora 12. please do tell me the commands that i can run in the terminal to install these softwares


Kind Regards,
Manish
 
Old 05-29-2010, 02:33 PM   #2
Simon Bridge
LQ Guru
 
Registered: Oct 2003
Location: Waiheke NZ
Distribution: Ubuntu
Posts: 9,211

Rep: Reputation: 198Reputation: 198
you don't - fedora comes with a chat client capable of all these and there are others in your repos.
http://live.gnome.org/Empathy
http://www.pidgin.im/
 
Old 05-29-2010, 02:53 PM   #3
divyashree
Senior Member
 
Registered: Apr 2007
Location: bbsr,orissa,India
Distribution: RHEL5 ,RHEL4,CENT OS5,FEDORA,UBUNTU
Posts: 1,362

Rep: Reputation: 135Reputation: 135
you cant install gtalk in any linux ,use pidgin capable of everything
 
Old 05-29-2010, 03:09 PM   #4
Manish87
Member
 
Registered: May 2010
Posts: 116

Original Poster
Rep: Reputation: 18
Hey,

thanx for the response,but can you please guide me on how to install pidgin.does pidgin support file transfer,voice messg??

kind regards,
Manish
 
Old 05-29-2010, 03:42 PM   #5
HasC
Member
 
Registered: Oct 2009
Location: South America - Paraguay
Distribution: Debian 5 - Slackware 13.1 - Arch - Some others linuxes/*BSDs through KVM and Xen
Posts: 329

Rep: Reputation: 55
http://pidgin.im/
 
Old 05-30-2010, 01:40 AM   #6
Manish87
Member
 
Registered: May 2010
Posts: 116

Original Poster
Rep: Reputation: 18
hey,

i downloaded the pidgin.repo file from the above mentioned site and save it in /etc/yum.repo

when i tried to run in the terminal the command that is:
yum install pidgin,an error occured


[root@Home Manish]# yum install pidgin.repo
Loaded plugins: presto, refresh-packagekit
http://rpm.pidgin.im/fedora/12/i386/...ta/repomd.xml: [Errno 14] HTTP Error 404 : http://rpm.pidgin.im/fedora/12/i386/repodata/repomd.xml
Trying other mirror.
Error: Cannot retrieve repository metadata (repomd.xml) for repository: pidgin. Please verify its path and try again


Kind Regards,
Manish
 
Old 05-30-2010, 05:20 AM   #7
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
# yum install pidgin

... will work also with no pidgin.repo .

'pidgin' is a "standard" Fedora 12 package.
Suggest : delete the file /etc/yum.repos.d/pidgin.repo
... to get the Fedora package.
Current version = pidgin 2.6.6-2.fc12
...
 
Old 05-30-2010, 01:16 PM   #8
Manish87
Member
 
Registered: May 2010
Posts: 116

Original Poster
Rep: Reputation: 18
hey,

i tryed the above command but i am getting this error message :

Error: Cannot retrieve repository metadata (repomd.xml) for repository: pidgin. Please verify its path and try again



Kind regards,
Manish
 
Old 05-30-2010, 01:27 PM   #9
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154Reputation: 3154
1) su

2) rm /etc/yum.repos.d/pidgin.repo

...... Please try that.

.
 
Old 05-30-2010, 01:35 PM   #10
Manish87
Member
 
Registered: May 2010
Posts: 116

Original Poster
Rep: Reputation: 18
hey,

Transaction Check Error:
file /usr/lib/gstreamer-0.10/libgstautoconvert.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstdtmf.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstladspa.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstliveadder.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstrtpmux.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstvalve.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686

Error Summary



Kind Regards,
Manish
 
Old 05-31-2010, 12:39 PM   #11
paulsm4
LQ Guru
 
Registered: Mar 2004
Distribution: SusE 8.2
Posts: 5,863
Blog Entries: 1

Rep: Reputation: Disabled
Hey, Manish -

What ever happened with this question?

When you resolve a problem, it's polite to post back how you resolved it (so other people can learn from your experience).

It's also polite to use the "solved" and "thanks" buttons where appropriate (like for Knudfl, below).

Please follow Knudfl's advice:
Quote:
1. su - root
2. rm /etc/yum.repos.d/pidgin.repo
3. yum install pidgin
Please post back, and cut/paste:
Quote:
1. Your exact commands
2. The exact errors (if any) from running these commands
 
Old 06-01-2010, 01:06 AM   #12
Manish87
Member
 
Registered: May 2010
Posts: 116

Original Poster
Rep: Reputation: 18
Hey,

Thanx for correcting me,well i tryed the same command as root and i am getting the same error message again and again

here's the o/p:

[Manish@Home ~]$ yum install pidgin
Loaded plugins: presto, refresh-packagekit
You need to be root to perform this command.
[Manish@Home ~]$ su
Password:
[root@Home Manish]# yum install pidgin
Loaded plugins: presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pidgin.i686 0:2.7.0-2.fc12 set to be updated
--> Processing Dependency: libpurple = 2.7.0-2.fc12 for package: pidgin-2.7.0-2.fc12.i686
--> Processing Dependency: gstreamer-plugins-bad-free for package: pidgin-2.7.0-2.fc12.i686
--> Running transaction check
---> Package gstreamer-plugins-bad-free.i686 0:0.10.18-1.fc12 set to be updated
--> Processing Dependency: gstreamer >= 0.10.27 for package: gstreamer-plugins-bad-free-0.10.18-1.fc12.i686
--> Processing Dependency: libzbar.so.0 for package: gstreamer-plugins-bad-free-0.10.18-1.fc12.i686
--> Processing Dependency: libofa.so.0 for package: gstreamer-plugins-bad-free-0.10.18-1.fc12.i686
--> Processing Dependency: libcdaudio.so.1 for package: gstreamer-plugins-bad-free-0.10.18-1.fc12.i686
--> Processing Dependency: libcelt.so.0 for package: gstreamer-plugins-bad-free-0.10.18-1.fc12.i686
---> Package libpurple.i686 0:2.7.0-2.fc12 set to be updated
--> Running transaction check
---> Package celt.i686 0:0.7.0-1.fc12 set to be updated
---> Package gstreamer.i686 0:0.10.29-1.fc12 set to be updated
--> Processing Dependency: gstreamer-tools >= 0.10.29 for package: gstreamer-0.10.29-1.fc12.i686
---> Package libcdaudio.i686 0:0.99.12p2-13.fc12 set to be updated
---> Package libofa.i686 0:0.9.3-16.fc12 set to be updated
---> Package zbar.i686 0:0.10-1.fc12 set to be updated
--> Processing Dependency: libMagickCore.so.2 for package: zbar-0.10-1.fc12.i686
--> Processing Dependency: libMagickWand.so.2 for package: zbar-0.10-1.fc12.i686
--> Running transaction check
---> Package ImageMagick.i686 0:6.5.4.7-3.fc12 set to be updated
---> Package gstreamer-tools.i686 0:0.10.29-1.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Installing:
gstreamer-plugins-bad-free i686 0.10.18-1.fc12 updates 1.0 M
replacing gstreamer-plugins-flumpegdemux.i686 0.10.15-8.fc12

pidgin i686 2.7.0-2.fc12 updates 1.4 M
Installing for dependencies:
ImageMagick i686 6.5.4.7-3.fc12 fedora 1.5 M
celt i686 0.7.0-1.fc12 fedora 55 k
libcdaudio i686 0.99.12p2-13.fc12 fedora 38 k
libofa i686 0.9.3-16.fc12 fedora 55 k
zbar i686 0.10-1.fc12 updates 121 k
Updating for dependencies:
gstreamer i686 0.10.29-1.fc12 updates 753 k
gstreamer-tools i686 0.10.29-1.fc12 updates 22 k
libpurple i686 2.7.0-2.fc12 updates 5.8 M

Transaction Summary
================================================================================
Install 7 Package(s)
Upgrade 3 Package(s)

Total size: 11 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
file /usr/lib/gstreamer-0.10/libgstautoconvert.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstdtmf.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstladspa.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstliveadder.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstrtpmux.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686
file /usr/lib/gstreamer-0.10/libgstvalve.so from install of gstreamer-plugins-bad-free-0.10.18-1.fc12.i686 conflicts with file from package gstreamer-plugins-good-0.10.16-7.fc12.i686

Error Summary
-------------
 
Old 06-01-2010, 02:13 AM   #13
Simon Bridge
LQ Guru
 
Registered: Oct 2003
Location: Waiheke NZ
Distribution: Ubuntu
Posts: 9,211

Rep: Reputation: 198Reputation: 198
did you do this: rm /etc/yum.repos.d/pidgin.repo

eg. did you remove the pidgin.repo file?
 
Old 06-01-2010, 04:44 AM   #14
Manish87
Member
 
Registered: May 2010
Posts: 116

Original Poster
Rep: Reputation: 18
hey,


Thanks for the reply paulsm4 and simon.Yes i deleted the pidgin file from /etc/yum.repos.d/pidgin.repo bt the problem still Persist
 
Old 06-01-2010, 05:15 AM   #15
alli_yas
Member
 
Registered: Apr 2010
Location: Johannesburg
Distribution: Fedora 14, RHEL 5.5, CentOS 5.5, Ubuntu 10.04
Posts: 559

Rep: Reputation: 92
According to the yum info on the "good" and "bad" version of the GStreamer packages, the good is a well supported plugin licensed under the GPL versus the bad which is an unstable unsupported version.

Looking at the dependency list for pidgin from an "official" Fedora repository (this is for Fedora 13 but should be similar for Fedora 12):

Except from: #yum deplist pidgin

Code:
...
...
...
  dependency: libdbus-glib-1.so.2()(64bit)
   provider: dbus-glib.x86_64 0.84-3.fc13
  dependency: gstreamer-plugins-good
   provider: gstreamer-plugins-good.x86_64 0.10.21-2.fc13
   provider: gstreamer-plugins-good.i686 0.10.21-2.fc13
   provider: gstreamer-plugins-good.i686 0.10.22-2.fc13
   provider: gstreamer-plugins-good.x86_64 0.10.22-2.fc13
...
...
...
Now for some reason you have a repository which is resolving the dependency to be provided by the "bad" version of the Gstreamer plugin.

I really think that as per the previous posters, this has something to do with your yum repository configuration.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Mozilla Prism with Fedora 11 and Google Talk, GChat SimGuy Linux - Software 0 08-02-2009 03:00 PM
guys why do u think google hasn't made an official google talk linux on linux platfor deepinlife General 11 11-12-2006 11:20 AM
help with google talk and kopete jputman01 Linux - Software 1 08-11-2006 05:58 PM
google talk and xmpp bnj General 2 01-19-2006 02:44 AM
Google Talk and Kopete Riddick Slackware 5 09-03-2005 08:37 PM


All times are GMT -5. The time now is 05:31 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration